/* xmms-winamp
   XMMS plugin configuration structure
   
   (C) 2002 Ulrich Hecht
   Licensed under the terms of the GNU General Public License v2
 */

#define VERSION "0.4"

typedef struct
{
	char plugindir[255];
	char plugin[255];
	int moduleno;
} dllconfig_t;

VisPlugin *get_vplugin_info(void);
static void plug_init(void);
static void plug_cleanup(void);
static void plug_render_pcm(short data[2][512]);
static void plug_render_freq(short data[2][256]);
static void plug_configure(void);
static void plug_about(void);
static void configure_clicked(GtkWidget *w, GtkWidget *window);
static void ok_clicked(GtkWidget *w, GtkWidget *window);
static void dentry_changed(GtkWidget *w, char* d);
static void dllmenu_changed(GtkWidget *w, char* v);
static void modmenu_changed(GtkWidget *w, char* v);
static void about_closed(GtkWidget *w, GdkEvent *e, GtkWidget **window);
static void about_close_clicked(GtkWidget *w, GtkWidget **window);
static void plug_save_prefs(void);
static void plug_load_prefs(void);
static gboolean check_cfg_version(ConfigFile *f);    
static void ok_clicked(GtkWidget *w, GtkWidget *window);
static void cancel_clicked(GtkWidget *w, GtkWidget *window);
static void browsedir_clicked(GtkWidget *w, GtkWidget *window);
static char** plug_get_list(char*,char*,char*);
static void plug_free_list(char**);
static void recreate_modmenu(void);
static void recreate_dllmenu(void);

